#<profile4xi profile = "00" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "import4xi.py">
#<abstract4xi abstract = "Provides DragonXi imports"/>
#<refer4xi reference = "DragonXi"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# ------------------------------------------------------------------------------------------------- 
#<interface4xi interface = " 
__all__ = [ 'import4xi' ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import socket
import struct
import signal 
import threading
import _thread 
try:
    import _winapi
    from _winapi import WAIT_OBJECT_0, WAIT_TIMEOUT, INFINITE
except ImportError:
    if sys.platform == 'win32':
        raise
    _winapi = None
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    print("import4xi.py *** (0z1/33) failed importing _multiprocessing ***")    
try:
    from _multiprocessing import SemLock    
except:
    print("import4xi.py ***  (0z2/33) failed importing from _multiprocessing ***")       
    
try:                             # Python ones
    from multiprocessing import active_children
except:
    print("import4xi.py *** (1/33) failed importing from multiprocessing ***")
try:     
    from multiprocessing.forking import assert_spawning
except:
    print("import4xi.py *** (2/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.synchronize import BoundedSemaphore
except:
    print("import4xi.py *** (4/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import BufferTooShort
except:
    print("import4xi.py *** (5/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.synchronize import Condition
except:
    print("import4xi.py *** (6/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import connection
except:
    print("import4xi.py *** (7/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import cpu_count
except:
    print("import4xi.py *** (8/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.process import current_process
except:
    print("import4xi.py *** (9/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.util import debug
except:
    print("import4xi.py *** (9z/33) failed importing from multiprocessing ***")

try:       
    from multiprocessing.util import Finalize
except:
    print("import4xi.py *** (12/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import forking
except:
    print("import4xi.py *** (13/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.forking import assert_spawning
except:
    print("import4xi.py *** (14/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.forking import ForkingPickler
except:
    print("import4xi.py *** (15/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import freeze_support
except:
    print("import4xi.py *** (16/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.util import get_temp_dir
except:
    print("import4xi.py *** (17/33) failed importing from multiprocessing ***")
try:       
    from multiprocessing import heap
except:
    print("import4xi.py *** (19/33) failed importing from multiprocessing ***")
 
try:       
    from multiprocessing.util import is_exiting
except:
    print("import4xi.py *** (21/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.synchronize import Lock
except:
    print("import4xi.py *** (22/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import Manager
except:
    print("import4xi.py *** (23/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.connection import Pipe
except:
    print("import4xi.py *** (24/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import Pool
except:
    print("import4xi.py *** (25z1/33) failed importing from multiprocessing ***")
try:  
    from multiprocessing.forking import Popen
except:
    print("import4xi.py *** (25z2/33) failed importing from multiprocessing ***")    
try:        
    from multiprocessing import Process
except:
    print("import4xi.py *** (26/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import ProcessError
except:
    print("import4xi.py *** (27/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import Queue
except:
    print("import4xi.py *** (28/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import reduction
except:
    print("import4xi.py *** (29/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.util import register_after_fork
except:
    print("import4xi.py *** (30/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import RLock
except:
    print("import4xi.py *** (31/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.synchronize import Semaphore
except:
    print("import4xi.py *** (32/33) failed importing from multiprocessing ***")

try:        
    from multiprocessing.util import sub_debug
except:
    print("import4xi.py *** (34/33) failed importing from multiprocessing ***")
try:       
    from multiprocessing import TimeoutError
except:
    print("import4xi.py *** (36/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing import util
except:
    print("import4xi.py *** (37/33) failed importing from multiprocessing ***")
try:        
    from multiprocessing.util import Finalize, info
except:
    print("import4xi.py *** (38/33) failed importing from multiprocessing ***")    
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "

# --------
#    [A]
# --------
import ace_object4xi
from ace_object4xi import ace_object4xi

import acquirerproxy4xi
from acquirerproxy4xi import AcquirerProxy4Xi

import active_children4xi
from active_children4xi import active_children4xi

import address_type4xi
from address_type4xi import address_type4xi

import after_fork4xi
#0
from after_fork4xi import AfterFork4Xi

#1
from after_fork4xi import init_afterfork_registry4xi
from after_fork4xi import get_afterfork_registry4xi
from after_fork4xi import set_afterfork_registry4xi

#2
from after_fork4xi import init_afterfork_counter4xi
from after_fork4xi import get_afterfork_counter4xi
from after_fork4xi import set_afterfork_counter4xi

#all
from after_fork4xi import init_all_after_fork4xi
from after_fork4xi import get_all_after_fork4xi
from after_fork4xi import set_all_after_fork4xi

import all_methods4xi
from all_methods4xi import all_methods4xi
import answer_challenge4xi
from answer_challenge4xi import answer_challenge4xi
import applyresult4xi
from applyresult4xi import ApplyResult4Xi
import arbitrary_address4xi
from arbitrary_address4xi import arbitrary_address4xi
import arena4xi
from arena4xi import Arena4Xi

import array4xi
from array4xi import Array4Xi

import arrayfunction4xi
from arrayfunction4xi import ArrayFunction4Xi

import arrayproxy4xi
from arrayproxy4xi import ArrayProxy4Xi

import assert_spawning4xi
from assert_spawning4xi import assert_spawning4xi

import authentication4xi
from authentication4xi import AuthenticationError4Xi
import authenticationstring4xi
from authenticationstring4xi import AuthenticationString4Xi

import autoproxy4xi
from autoproxy4xi import AutoProxy4Xi

# --------
#    [B]
# --------
import ball4xi
from ball4xi import Ball4Xi
from ball4xi import init_ball4xi
from ball4xi import set_ball4xi
from ball4xi import get_ball4xi
import barrier4xi
from barrier4xi import Barrier4Xi
import barrierproxy4xi
from barrierproxy4xi import BarrierProxy4Xi
import baseproxy4xi
from baseproxy4xi import BaseProxy4Xi
import baselistproxy4xi
from baselistproxy4xi import BaseListProxy4Xi
import basemanager4xi
from basemanager4xi import BaseManager4Xi
import baseproxy4xi
from baseproxy4xi import BaseProxy4Xi
import boundedsemaphore4xi
from boundedsemaphore4xi import BoundedSemaphore4Xi
import buffertooshort4xi
from buffertooshort4xi import BufferTooShort4Xi
import bufferwrapper4xi
from bufferwrapper4xi import BufferWrapper4Xi

# --------
#    [C]
# --------
import charge2one4xi
from charge2one4xi import charge2one4xi
import charge2two4xi
from charge2two4xi import charge2two4xi
import charge2three4xi
from charge2three4xi import charge2three4xi
import charge2four4xi
from charge2four4xi import charge2four4xi
import charge2five4xi
from charge2five4xi import charge2five4xi
import charge2six4xi
from charge2six4xi import charge2six4xi
import charge2seven4xi
from charge2seven4xi import charge2seven4xi
import charge2eight4xi
from charge2eight4xi import charge2eight4xi

import client4xi
from client4xi import Client4Xi
import close4xi
from close4xi import close4xi

from cluster2a4xi import Cluster2a4Xi
from cluster2b4xi import Cluster2b4Xi
from cluster2c4xi import Cluster2c4Xi
from cluster2d4xi import Cluster2d4Xi
from cluster2e4xi import Cluster2e4Xi
from cluster2f4xi import Cluster2f4Xi
from cluster2g4xi import Cluster2g4Xi
from cluster2h4xi import Cluster2h4Xi
from cluster2i4xi import Cluster2i4Xi
from cluster2j4xi import Cluster2j4Xi
from cluster2k4xi import Cluster2k4Xi
from cluster2l4xi import Cluster2l4Xi
from cluster2m4xi import Cluster2m4Xi
from cluster2n4xi import Cluster2n4Xi
from cluster2o4xi import Cluster2o4Xi
from cluster2p4xi import Cluster2p4Xi
from cluster2q4xi import Cluster2q4Xi
from cluster2r4xi import Cluster2r4Xi
from cluster2s4xi import Cluster2s4Xi
from cluster2t4xi import Cluster2t4Xi
from cluster2u4xi import Cluster2u4Xi
from cluster2v4xi import Cluster2v4Xi
from cluster2w4xi import Cluster2w4Xi
from cluster2x4xi import Cluster2x4Xi
from cluster2y4xi import Cluster2y4Xi
from cluster2z4xi import Cluster2z4Xi
from cluster2_4xi import Cluster2_4Xi

import condition4xi
from condition4xi import Condition4Xi
import conditionproxy4xi
from conditionproxy4xi import ConditionProxy4Xi
import cpu_corecount4xi
from cpu_corecount4xi import cpu_corecount4xi

import connection4xi 
from connection4xi import Connection4Xi

import constant_family4xi
from constant_family4xi import AF_INET4XI
from constant_family4xi import AF_UNIX4XI
from constant_family4xi import AF_PIPE4XI
from constant_family4xi import init_af_inet4xi
from constant_family4xi import init_af_unix4xi
from constant_family4xi import init_af_pipe4xi
from constant_family4xi import set_af_inet4xi
from constant_family4xi import set_af_unix4xi
from constant_family4xi import set_af_pipe4xi
from constant_family4xi import get_af_inet4xi
from constant_family4xi import get_af_unix4xi
from constant_family4xi import get_af_pipe4xi
from constant_family4xi import init_default_family4xi
from constant_family4xi import init_families4xi
from constant_family4xi import set_default_family4xi
from constant_family4xi import set_families4xi
from constant_family4xi import get_default_family4xi
from constant_family4xi import get_families4xi
from constant_family4xi import ConstantFamily4Xi
from constant_family4xi import constant_family4xi

import constant_forking4xi
#0
from constant_forking4xi import ConstantForking4Xi
from constant_forking4xi import constant_forking4xi
#1
from constant_forking4xi import init_terminate_forking4xi
from constant_forking4xi import get_terminate_forking4xi
from constant_forking4xi import set_terminate_forking4xi

#2
from constant_forking4xi import init_winexe_forking4xi
from constant_forking4xi import get_winexe_forking4xi
from constant_forking4xi import set_winexe_forking4xi

#all
from constant_forking4xi import init_all_forking4xi
from constant_forking4xi import get_all_forking4xi
from constant_forking4xi import set_all_forking4xi


import constant_connection4xi
from constant_connection4xi import constant_connection4xi
from constant_connection4xi import ConstantConnection4Xi 
from constant_connection4xi import init_message_length4xi
from constant_connection4xi import set_message_length4xi
from constant_connection4xi import get_message_length4xi
from constant_connection4xi import init_challenge4xi
from constant_connection4xi import set_challenge4xi
from constant_connection4xi import get_challenge4xi
from constant_connection4xi import init_welcome4xi
from constant_connection4xi import set_welcome4xi
from constant_connection4xi import get_welcome4xi
from constant_connection4xi import init_failure4xi
from constant_connection4xi import set_failure4xi
from constant_connection4xi import get_failure4xi
from constant_connection4xi import init_max_response_message_length4xi
from constant_connection4xi import set_max_response_message_length4xi
from constant_connection4xi import get_max_response_message_length4xi
from constant_connection4xi import init_localhost4xi
from constant_connection4xi import set_localhost4xi
from constant_connection4xi import get_localhost4xi
from constant_connection4xi import init_buffersize4xi
from constant_connection4xi import set_buffersize4xi
from constant_connection4xi import get_buffersize4xi
from constant_connection4xi import init_connectiontimeout4xi #[Rel 7.21]
from constant_connection4xi import set_connectiontimeout4xi  #[Rel 7.21]
from constant_connection4xi import get_connectiontimeout4xi  #[Rel 7.21]


import constant_heap4xi
from constant_heap4xi import init_alignment4xi
from constant_heap4xi import set_alignment4xi
from constant_heap4xi import get_alignment4xi
from constant_heap4xi import ConstantHeap4Xi
from constant_heap4xi import constant_heap4xi

import constant_managers4xi
from constant_managers4xi import ConstantManagers4Xi
from constant_managers4xi import init_allconstants_managers4xi
from constant_managers4xi import get_allconstants_managers4xi
from constant_managers4xi import set_allconstants_managers4xi
from constant_managers4xi import constant_managers4xi
from constant_managers4xi import init_backlog_manager4xi
from constant_managers4xi import set_backlog_manager4xi
from constant_managers4xi import get_backlog_manager4xi
from constant_managers4xi import init_clear_manager4xi
from constant_managers4xi import set_clear_manager4xi
from constant_managers4xi import get_clear_manager4xi
from constant_managers4xi import init_create_manager4xi
from constant_managers4xi import set_create_manager4xi
from constant_managers4xi import get_create_manager4xi
from constant_managers4xi import init_debug_info_manager4xi
from constant_managers4xi import set_debug_info_manager4xi
from constant_managers4xi import get_debug_info_manager4xi
from constant_managers4xi import init_dummy_manager4xi
from constant_managers4xi import set_dummy_manager4xi
from constant_managers4xi import get_dummy_manager4xi
from constant_managers4xi import init_error_manager4xi
from constant_managers4xi import set_error_manager4xi
from constant_managers4xi import get_error_manager4xi
from constant_managers4xi import init_exitpriority_manager4xi
from constant_managers4xi import set_exitpriority_manager4xi
from constant_managers4xi import get_exitpriority_manager4xi
from constant_managers4xi import init_getvalue_manager4xi
from constant_managers4xi import set_getvalue_manager4xi
from constant_managers4xi import get_getvalue_manager4xi
from constant_managers4xi import init_id_manager4xi
from constant_managers4xi import set_id_manager4xi
from constant_managers4xi import get_id_manager4xi
from constant_managers4xi import init_initial_manager4xi
from constant_managers4xi import set_initial_manager4xi
from constant_managers4xi import get_initial_manager4xi
from constant_managers4xi import init_is_set_manager4xi
from constant_managers4xi import set_is_set_manager4xi
from constant_managers4xi import get_is_set_manager4xi
from constant_managers4xi import init_number_of_objects_manager4xi
from constant_managers4xi import set_number_of_objects_manager4xi
from constant_managers4xi import get_number_of_objects_manager4xi
from constant_managers4xi import init_pickle_manager4xi
from constant_managers4xi import set_pickle_manager4xi
from constant_managers4xi import get_pickle_manager4xi
from constant_managers4xi import init_proxy_manager4xi
from constant_managers4xi import set_proxy_manager4xi
from constant_managers4xi import get_proxy_manager4xi
from constant_managers4xi import init_return_manager4xi
from constant_managers4xi import set_return_manager4xi
from constant_managers4xi import get_return_manager4xi
from constant_managers4xi import init_set_manager4xi
from constant_managers4xi import set_set_manager4xi
from constant_managers4xi import get_set_manager4xi
from constant_managers4xi import init_shutdown_manager4xi
from constant_managers4xi import set_shutdown_manager4xi
from constant_managers4xi import get_shutdown_manager4xi
from constant_managers4xi import init_started_manager4xi
from constant_managers4xi import set_started_manager4xi
from constant_managers4xi import get_started_manager4xi
from constant_managers4xi import init_stop_manager4xi
from constant_managers4xi import set_stop_manager4xi
from constant_managers4xi import get_stop_manager4xi
from constant_managers4xi import init_traceback_manager4xi
from constant_managers4xi import set_traceback_manager4xi
from constant_managers4xi import get_traceback_manager4xi
from constant_managers4xi import init_typeid_manager4xi
from constant_managers4xi import set_typeid_manager4xi
from constant_managers4xi import get_typeid_manager4xi
from constant_managers4xi import init_unserializable_manager4xi
from constant_managers4xi import set_unserializable_manager4xi
from constant_managers4xi import get_unserializable_manager4xi
from constant_managers4xi import init_value_manager4xi
from constant_managers4xi import set_value_manager4xi
from constant_managers4xi import get_value_manager4xi
from constant_managers4xi import init_wait_manager4xi
from constant_managers4xi import set_wait_manager4xi
from constant_managers4xi import get_wait_manager4xi
from constant_managers4xi import init_26pppppppp4xi
from constant_managers4xi import set_26pppppppp4xi
from constant_managers4xi import get_26pppppppp4xi
from constant_managers4xi import init_27pppppppp4xi
from constant_managers4xi import set_27pppppppp4xi
from constant_managers4xi import get_27pppppppp4xi
from constant_managers4xi import init_28pppppppp4xi
from constant_managers4xi import set_28pppppppp4xi
from constant_managers4xi import get_28pppppppp4xi
from constant_managers4xi import init_29pppppppp4xi
from constant_managers4xi import set_29pppppppp4xi
from constant_managers4xi import get_29pppppppp4xi
from constant_managers4xi import init_30pppppppp4xi
from constant_managers4xi import set_30pppppppp4xi
from constant_managers4xi import get_30pppppppp4xi
from constant_managers4xi import init_31pppppppp4xi
from constant_managers4xi import set_31pppppppp4xi
from constant_managers4xi import get_31pppppppp4xi
from constant_managers4xi import init_32pppppppp4xi
from constant_managers4xi import set_32pppppppp4xi
from constant_managers4xi import get_32pppppppp4xi
from constant_managers4xi import init_33pppppppp4xi
from constant_managers4xi import set_33pppppppp4xi
from constant_managers4xi import get_33pppppppp4xi

import constant_pool4xi
#0
from constant_pool4xi import ConstantPool4Xi
from constant_pool4xi import init_all_pool4xi
from constant_pool4xi import get_all_pool4xi
from constant_pool4xi import set_all_pool4xi
from constant_pool4xi import constant_pool4xi
#1
from constant_pool4xi import init_run_pool4xi
from constant_pool4xi import get_run_pool4xi
from constant_pool4xi import set_run_pool4xi
#2
from constant_pool4xi import init_close_pool4xi
from constant_pool4xi import get_close_pool4xi
from constant_pool4xi import set_close_pool4xi
#3
from constant_pool4xi import init_terminate_pool4xi
from constant_pool4xi import get_terminate_pool4xi
from constant_pool4xi import set_terminate_pool4xi
#4
from constant_pool4xi import init_exitpriority_pool4xi
from constant_pool4xi import get_exitpriority_pool4xi
from constant_pool4xi import set_exitpriority_pool4xi
#5
from constant_pool4xi import init_job_counter_pool4xi
from constant_pool4xi import get_job_counter_pool4xi
from constant_pool4xi import set_job_counter_pool4xi
from constant_pool4xi import next_job_counter_pool4xi

import constant_process4xi
#0
from constant_process4xi import constant_process4xi
from constant_process4xi import ConstantProcess4Xi
from constant_process4xi import init_all_process4xi
from constant_process4xi import get_all_process4xi
from constant_process4xi import set_all_process4xi
from constant_process4xi import constant_process4xi

#1
from constant_process4xi import init_run_process4xi
from constant_process4xi import get_run_process4xi
from constant_process4xi import set_run_process4xi
#2
from constant_process4xi import init_close_process4xi
from constant_process4xi import get_close_process4xi
from constant_process4xi import set_close_process4xi
#3
from constant_process4xi import init_terminate_process4xi
from constant_process4xi import get_terminate_process4xi
from constant_process4xi import set_terminate_process4xi
#4
from constant_process4xi import init_started_process4xi
from constant_process4xi import get_started_process4xi
from constant_process4xi import set_started_process4xi
#5
from constant_process4xi import init_unknown_process4xi
from constant_process4xi import get_unknown_process4xi
from constant_process4xi import set_unknown_process4xi
#6
from constant_process4xi import init_initial_process4xi
from constant_process4xi import get_initial_process4xi
from constant_process4xi import set_initial_process4xi
#7
from constant_process4xi import init_stopped_process4xi
from constant_process4xi import get_stopped_process4xi
from constant_process4xi import set_stopped_process4xi
#8
from constant_process4xi import init_exitcode_to_name4xi
from constant_process4xi import get_exitcode_to_name4xi
from constant_process4xi import set_exitcode_to_name4xi

import constant_synchronize4xi
#0
from constant_synchronize4xi import constant_synchronize4xi
from constant_synchronize4xi import ConstantSynchronize4Xi
from constant_synchronize4xi import init_all_synchronize4xi
from constant_synchronize4xi import set_all_synchronize4xi
from constant_synchronize4xi import get_all_synchronize4xi

#1
from constant_synchronize4xi import init_recursive_mutex_synchronize4xi
from constant_synchronize4xi import get_recursive_mutex_synchronize4xi
from constant_synchronize4xi import set_recursive_mutex_synchronize4xi
#2
from constant_synchronize4xi import init_semaphore_synchronize4xi
from constant_synchronize4xi import get_semaphore_synchronize4xi
from constant_synchronize4xi import set_semaphore_synchronize4xi
#3
from constant_synchronize4xi import init_sem_value_synchronize4xi
from constant_synchronize4xi import get_sem_value_synchronize4xi
from constant_synchronize4xi import set_sem_value_synchronize4xi
#4
from constant_synchronize4xi import init_sem_value_max_synchronize4xi
from constant_synchronize4xi import get_sem_value_max_synchronize4xi
from constant_synchronize4xi import set_sem_value_max_synchronize4xi

import constant_system4xi
#0
from constant_system4xi import ConstantSystem4Xi
      
from constant_system4xi import constant_system4xi    

from constant_system4xi import init_all_system4xi
from constant_system4xi import set_all_system4xi
from constant_system4xi import get_all_system4xi
from constant_system4xi import get_one_constant_system4xi
#1
from constant_system4xi import init_windows_system4xi
from constant_system4xi import get_windows_system4xi
from constant_system4xi import set_windows_system4xi

import constant_util4xi
#0
from constant_util4xi import ConstantUtil4Xi
from constant_util4xi import init_all_util4xi
from constant_util4xi import set_all_util4xi
from constant_util4xi import get_all_util4xi
from constant_util4xi import get_one_constant_util4xi
#1
from constant_util4xi import init_notset_util4xi
from constant_util4xi import get_notset_util4xi
from constant_util4xi import set_notset_util4xi
#2
from constant_util4xi import init_subdebug_util4xi
from constant_util4xi import get_subdebug_util4xi
from constant_util4xi import set_subdebug_util4xi
#3
from constant_util4xi import init_debug_util4xi
from constant_util4xi import get_debug_util4xi
from constant_util4xi import set_debug_util4xi
#4
from constant_util4xi import init_info_util4xi
from constant_util4xi import get_info_util4xi
from constant_util4xi import set_info_util4xi
#5
from constant_util4xi import init_subwarning_util4xi
from constant_util4xi import get_subwarning_util4xi
from constant_util4xi import set_subwarning_util4xi
#6
from constant_util4xi import init_logger_name_util4xi
from constant_util4xi import get_logger_name_util4xi
from constant_util4xi import set_logger_name_util4xi
#7
from constant_util4xi import init_default_logging_format_util4xi
from constant_util4xi import get_default_logging_format_util4xi
from constant_util4xi import set_default_logging_format_util4xi

import constant_logger4xi
#0
from constant_logger4xi import ConstantLogger4Xi
from constant_logger4xi import init_notset4xi
from constant_logger4xi import set_notset4xi
from constant_logger4xi import get_notset4xi
#1
from constant_logger4xi import init_subdebug4xi
from constant_logger4xi import set_subdebug4xi
from constant_logger4xi import get_subdebug4xi
#2
from constant_logger4xi import init_debug4xi
from constant_logger4xi import set_debug4xi
from constant_logger4xi import get_debug4xi
#3
from constant_logger4xi import init_subwarning4xi
from constant_logger4xi import set_subwarning4xi
from constant_logger4xi import get_subwarning4xi
#4
from constant_logger4xi import init_info4xi
from constant_logger4xi import set_info4xi
from constant_logger4xi import get_info4xi
#5
from constant_logger4xi import init_logger_name4xi
from constant_logger4xi import set_logger_name4xi
from constant_logger4xi import get_logger_name4xi
#6
from constant_logger4xi import init_subwarning4xi
from constant_logger4xi import set_subwarning4xi
from constant_logger4xi import get_subwarning4xi
#7
from constant_logger4xi import init_default_logging_format_logger4xi
from constant_logger4xi import set_default_logging_format_logger4xi
from constant_logger4xi import get_default_logging_format_logger4xi

import connectionwrapper4xi
from connectionwrapper4xi import ConnectionWrapper4Xi
import convert_to_error4xi
from convert_to_error4xi import convert_to_error4xi

import current_process4xi
#0
from current_process4xi import CurrentProcess4Xi
from current_process4xi import init_all_current_process4xi
from current_process4xi import set_all_current_process4xi
from current_process4xi import get_all_current_process4xi
from current_process4xi import get_one_current_process4xi
from current_process4xi import value_current_process4xi

#1
from current_process4xi import init_current_process4xi
from current_process4xi import get_current_process4xi
from current_process4xi import set_current_process4xi
#2
from current_process4xi import init_inheriting_current_process4xi
from current_process4xi import get_inheriting_current_process4xi
from current_process4xi import set_inheriting_current_process4xi
#3
from current_process4xi import init_authkey_current_process4xi
from current_process4xi import get_authkey_current_process4xi
from current_process4xi import set_authkey_current_process4xi
#4
from current_process4xi import init_identity_current_process4xi
from current_process4xi import get_identity_current_process4xi
from current_process4xi import set_identity_current_process4xi
#5
from current_process4xi import init_name_current_process4xi
from current_process4xi import get_name_current_process4xi
from current_process4xi import set_name_current_process4xi
#6
from current_process4xi import init_counter_current_process4xi
from current_process4xi import get_counter_current_process4xi
from current_process4xi import set_counter_current_process4xi
#7                             
from current_process4xi import init_daemonic_current_process4xi
from current_process4xi import get_daemonic_current_process4xi
from current_process4xi import set_daemonic_current_process4xi
#8                             
from current_process4xi import init_tempdir_current_process4xi
from current_process4xi import get_tempdir_current_process4xi
from current_process4xi import set_tempdir_current_process4xi
#9
from current_process4xi import add_child_current_process4xi
from current_process4xi import discard_child_current_process4xi
from current_process4xi import get_children_current_process4xi
from current_process4xi import list_children_current_process4xi
#10                             
from current_process4xi import init_manager_server_current_process4xi
from current_process4xi import get_manager_server_current_process4xi
from current_process4xi import set_manager_server_current_process4xi

# --------
#    [D]
# --------
import date4xi
from date4xi import date4xi

import debug4xi
from debug4xi import debug4xi

import debug_info4xi
from debug_info4xi import debug_info4xi

import deliver_challenge4xi
from deliver_challenge4xi import deliver_challenge4xi

import dictproxy4xi
from dictproxy4xi import DictProxy4Xi

import dispatch4xi
from dispatch4xi import dispatch4xi

import dummyprocess4xi
from dummyprocess4xi import DummyProcess4Xi

import dump4xi
from dump4xi import dump4xi

import duplicate4xi
from duplicate4xi import duplicate4xi
try:
    from duplicate4xi import duplicate4xi
except:
    print("[NACK] **failed from dupfd4xi import DupFd4Xi ** in module import4xi.py")

import dupfd4xi    
try:
    from dupfd4xi import DupFd4Xi
except:
    print("[NACK] **failed from dupfd4xi import DupFd4Xi ** in module import4xi.py")

import duphandle4xi    
try:
    from duphandle4xi import DupHandle4Xi
except:
    print("[NACK] **failed from duplicate4xi import DupHandle4Xi ** in module import4xi.py")
import dupsocket4xi 
try:
    from dupsocket4xi import DupSocket4Xi
except:
    print("[NACK] **failed from from dupsocket4xi import DupSocket4Xi ** in module import4xi.py")    


# --------
#    [E]
# --------
import event4xi
from event4xi import Event4Xi

import eventproxy4xi
from eventproxy4xi import EventProxy4Xi

import examine4xi
from examine4xi import examine4xi

# --------
#    [F]
# --------
import fire2one4xi
from fire2one4xi import fire2one4xi
import fire10one4xi
from fire10one4xi import fire10one4xi
import fire100one4xi
from fire100one4xi import fire100one4xi
import fire200one4xi
from fire200one4xi import fire200one4xi
import fire300one4xi
from fire300one4xi import fire300one4xi
import fire400one4xi
from fire400one4xi import fire400one4xi
import fire500one4xi
from fire500one4xi import fire500one4xi
import fire600one4xi
from fire600one4xi import fire600one4xi
import fire700one4xi
from fire700one4xi import fire700one4xi
import fire800one4xi
from fire800one4xi import fire800one4xi
import fire900one4xi
from fire900one4xi import fire900one4xi
import fire1000one4xi
from fire1000one4xi import fire1000one4xi
import fire1100one4xi
from fire1100one4xi import fire1100one4xi
import fire1200one4xi
from fire1200one4xi import fire1200one4xi
import fire1300one4xi
from fire1300one4xi import fire1300one4xi
import fire1400one4xi
from fire1400one4xi import fire1400one4xi
import fire1500one4xi
from fire1500one4xi import fire1500one4xi
import fire1600one4xi
from fire1600one4xi import fire1600one4xi
import fire1700one4xi
from fire1700one4xi import fire1700one4xi
import fire1800one4xi
from fire1800one4xi import fire1800one4xi
import fire1900one4xi
from fire1900one4xi import fire1900one4xi
import fire2000one4xi
from fire2000one4xi import fire2000one4xi
import fire2100one4xi
from fire2100one4xi import fire2100one4xi
import fire2200one4xi
from fire2200one4xi import fire2200one4xi
import fire2300one4xi
from fire2300one4xi import fire2300one4xi
import fire2400one4xi
from fire2400one4xi import fire2400one4xi
import fire2500one4xi
from fire2500one4xi import fire2500one4xi
import fire2600one4xi
from fire2600one4xi import fire2600one4xi
import fire2700one4xi
from fire2700one4xi import fire2700one4xi
import fire2800one4xi
from fire2800one4xi import fire2800one4xi
import fire2900one4xi
from fire2900one4xi import fire2900one4xi
import fire3000one4xi
from fire3000one4xi import fire3000one4xi
import fire3100one4xi
from fire3100one4xi import fire3100one4xi
import fire3200one4xi
from fire3200one4xi import fire3200one4xi
import fire3300one4xi
from fire3300one4xi import fire3300one4xi

import fire2two4xi
from fire2two4xi import fire2two4xi
import fire10two4xi
from fire10two4xi import fire10two4xi
import fire100two4xi
from fire100two4xi import fire100two4xi
import fire200two4xi
from fire200two4xi import fire200two4xi
import fire300two4xi
from fire300two4xi import fire300two4xi
import fire400two4xi
from fire400two4xi import fire400two4xi
import fire500two4xi
from fire500two4xi import fire500two4xi
import fire600two4xi
from fire600two4xi import fire600two4xi
import fire700two4xi
from fire700two4xi import fire700two4xi
import fire800two4xi
from fire800two4xi import fire800two4xi
import fire900two4xi
from fire900two4xi import fire900two4xi
import fire1000two4xi
from fire1000two4xi import fire1000two4xi
import fire1100two4xi
from fire1100two4xi import fire1100two4xi
import fire1200two4xi
from fire1200two4xi import fire1200two4xi
import fire1300two4xi
from fire1300two4xi import fire1300two4xi
import fire1400two4xi
from fire1400two4xi import fire1400two4xi
import fire1500two4xi
from fire1500two4xi import fire1500two4xi
import fire1600two4xi
from fire1600two4xi import fire1600two4xi
import fire1700two4xi
from fire1700two4xi import fire1700two4xi
import fire1800two4xi
from fire1800two4xi import fire1800two4xi
import fire1900two4xi
from fire1900two4xi import fire1900two4xi
import fire2000two4xi
from fire2000two4xi import fire2000two4xi
import fire2100two4xi
from fire2100two4xi import fire2100two4xi
import fire2200two4xi
from fire2200two4xi import fire2200two4xi
import fire2300two4xi
from fire2300two4xi import fire2300two4xi
import fire2400two4xi
from fire2400two4xi import fire2400two4xi
import fire2500two4xi
from fire2500two4xi import fire2500two4xi
import fire2600two4xi
from fire2600two4xi import fire2600two4xi
import fire2700two4xi
from fire2700two4xi import fire2700two4xi
import fire2800two4xi
from fire2800two4xi import fire2800two4xi
import fire2900two4xi
from fire2900two4xi import fire2900two4xi
import fire3000two4xi
from fire3000two4xi import fire3000two4xi
import fire3100two4xi
from fire3100two4xi import fire3100two4xi
import fire3200two4xi
from fire3200two4xi import fire3200two4xi
import fire3300two4xi
from fire3300two4xi import fire3300two4xi

import fire2three4xi
from fire2three4xi import fire2three4xi
import fire10three4xi
from fire10three4xi import fire10three4xi
import fire100three4xi
from fire100three4xi import fire100three4xi
import fire200three4xi
from fire200three4xi import fire200three4xi
import fire300three4xi
from fire300three4xi import fire300three4xi
import fire400three4xi
from fire400three4xi import fire400three4xi
import fire500three4xi
from fire500three4xi import fire500three4xi
import fire600three4xi
from fire600three4xi import fire600three4xi
import fire700three4xi
from fire700three4xi import fire700three4xi
import fire800three4xi
from fire800three4xi import fire800three4xi
import fire900three4xi
from fire900three4xi import fire900three4xi
import fire1000three4xi
from fire1000three4xi import fire1000three4xi
import fire1100three4xi
from fire1100three4xi import fire1100three4xi
import fire1200three4xi
from fire1200three4xi import fire1200three4xi
import fire1300three4xi
from fire1300three4xi import fire1300three4xi
import fire1400three4xi
from fire1400three4xi import fire1400three4xi
import fire1500three4xi
from fire1500three4xi import fire1500three4xi
import fire1600three4xi
from fire1600three4xi import fire1600three4xi
import fire1700three4xi
from fire1700three4xi import fire1700three4xi
import fire1800three4xi
from fire1800three4xi import fire1800three4xi
import fire1900three4xi
from fire1900three4xi import fire1900three4xi
import fire2000three4xi
from fire2000three4xi import fire2000three4xi
import fire2100three4xi
from fire2100three4xi import fire2100three4xi
import fire2200three4xi
from fire2200three4xi import fire2200three4xi
import fire2300three4xi
from fire2300three4xi import fire2300three4xi
import fire2400three4xi
from fire2400three4xi import fire2400three4xi
import fire2500three4xi
from fire2500three4xi import fire2500three4xi
import fire2600three4xi
from fire2600three4xi import fire2600three4xi
import fire2700three4xi
from fire2700three4xi import fire2700three4xi
import fire2800three4xi
from fire2800three4xi import fire2800three4xi
import fire2900three4xi
from fire2900three4xi import fire2900three4xi
import fire3000three4xi
from fire3000three4xi import fire3000three4xi
import fire3100three4xi
from fire3100three4xi import fire3100three4xi
import fire3200three4xi
from fire3200three4xi import fire3200three4xi
import fire3300three4xi
from fire3300three4xi import fire3300three4xi

import fire2four4xi
from fire2four4xi import fire2four4xi
import fire10four4xi
from fire10four4xi import fire10four4xi
import fire100four4xi
from fire100four4xi import fire100four4xi
import fire200four4xi
from fire200four4xi import fire200four4xi
import fire300four4xi
from fire300four4xi import fire300four4xi
import fire400four4xi
from fire400four4xi import fire400four4xi
import fire500four4xi
from fire500four4xi import fire500four4xi
import fire600four4xi
from fire600four4xi import fire600four4xi
import fire700four4xi
from fire700four4xi import fire700four4xi
import fire800four4xi
from fire800four4xi import fire800four4xi
import fire900four4xi
from fire900four4xi import fire900four4xi
import fire1000four4xi
from fire1000four4xi import fire1000four4xi
import fire1100four4xi
from fire1100four4xi import fire1100four4xi
import fire1200four4xi
from fire1200four4xi import fire1200four4xi
import fire1300four4xi
from fire1300four4xi import fire1300four4xi
import fire1400four4xi
from fire1400four4xi import fire1400four4xi
import fire1500four4xi
from fire1500four4xi import fire1500four4xi
import fire1600four4xi
from fire1600four4xi import fire1600four4xi
import fire1700four4xi
from fire1700four4xi import fire1700four4xi
import fire1800four4xi
from fire1800four4xi import fire1800four4xi
import fire1900four4xi
from fire1900four4xi import fire1900four4xi
import fire2000four4xi
from fire2000four4xi import fire2000four4xi
import fire2100four4xi
from fire2100four4xi import fire2100four4xi
import fire2200four4xi
from fire2200four4xi import fire2200four4xi
import fire2300four4xi
from fire2300four4xi import fire2300four4xi
import fire2400four4xi
from fire2400four4xi import fire2400four4xi
import fire2500four4xi
from fire2500four4xi import fire2500four4xi
import fire2600four4xi
from fire2600four4xi import fire2600four4xi
import fire2700four4xi
from fire2700four4xi import fire2700four4xi
import fire2800four4xi
from fire2800four4xi import fire2800four4xi
import fire2900four4xi
from fire2900four4xi import fire2900four4xi
import fire3000four4xi
from fire3000four4xi import fire3000four4xi
import fire3100four4xi
from fire3100four4xi import fire3100four4xi
import fire3200four4xi
from fire3200four4xi import fire3200four4xi
import fire3300four4xi
from fire3300four4xi import fire3300four4xi


import fire2five4xi
from fire2five4xi import fire2five4xi
import fire10five4xi
from fire10five4xi import fire10five4xi
import fire100five4xi
from fire100five4xi import fire100five4xi
import fire200five4xi
from fire200five4xi import fire200five4xi
import fire300five4xi
from fire300five4xi import fire300five4xi
import fire400five4xi
from fire400five4xi import fire400five4xi
import fire500five4xi
from fire500five4xi import fire500five4xi
import fire600five4xi
from fire600five4xi import fire600five4xi
import fire700five4xi
from fire700five4xi import fire700five4xi
import fire800five4xi
from fire800five4xi import fire800five4xi
import fire900five4xi
from fire900five4xi import fire900five4xi
import fire1000five4xi
from fire1000five4xi import fire1000five4xi
import fire1100five4xi
from fire1100five4xi import fire1100five4xi
import fire1200five4xi
from fire1200five4xi import fire1200five4xi
import fire1300five4xi
from fire1300five4xi import fire1300five4xi
import fire1400five4xi
from fire1400five4xi import fire1400five4xi
import fire1500five4xi
from fire1500five4xi import fire1500five4xi
import fire1600five4xi
from fire1600five4xi import fire1600five4xi
import fire1700five4xi
from fire1700five4xi import fire1700five4xi
import fire1800five4xi
from fire1800five4xi import fire1800five4xi
import fire1900five4xi
from fire1900five4xi import fire1900five4xi
import fire2000five4xi
from fire2000five4xi import fire2000five4xi
import fire2100five4xi
from fire2100five4xi import fire2100five4xi
import fire2200five4xi
from fire2200five4xi import fire2200five4xi
import fire2300five4xi
from fire2300five4xi import fire2300five4xi
import fire2400five4xi
from fire2400five4xi import fire2400five4xi
import fire2500five4xi
from fire2500five4xi import fire2500five4xi
import fire2600five4xi
from fire2600five4xi import fire2600five4xi
import fire2700five4xi
from fire2700five4xi import fire2700five4xi
import fire2800five4xi
from fire2800five4xi import fire2800five4xi
import fire2900five4xi
from fire2900five4xi import fire2900five4xi
import fire3000five4xi
from fire3000five4xi import fire3000five4xi
import fire3100five4xi
from fire3100five4xi import fire3100five4xi
import fire3200five4xi
from fire3200five4xi import fire3200five4xi
import fire3300five4xi
from fire3300five4xi import fire3300five4xi


import fire2six4xi
from fire2six4xi import fire2six4xi
import fire10six4xi
from fire10six4xi import fire10six4xi
import fire100six4xi
from fire100six4xi import fire100six4xi
import fire200six4xi
from fire200six4xi import fire200six4xi
import fire300six4xi
from fire300six4xi import fire300six4xi
import fire400six4xi
from fire400six4xi import fire400six4xi
import fire500six4xi
from fire500six4xi import fire500six4xi
import fire600six4xi
from fire600six4xi import fire600six4xi
import fire700six4xi
from fire700six4xi import fire700six4xi
import fire800six4xi
from fire800six4xi import fire800six4xi
import fire900six4xi
from fire900six4xi import fire900six4xi
import fire1000six4xi
from fire1000six4xi import fire1000six4xi
import fire1100six4xi
from fire1100six4xi import fire1100six4xi
import fire1200six4xi
from fire1200six4xi import fire1200six4xi
import fire1300six4xi
from fire1300six4xi import fire1300six4xi
import fire1400six4xi
from fire1400six4xi import fire1400six4xi
import fire1500six4xi
from fire1500six4xi import fire1500six4xi
import fire1600six4xi
from fire1600six4xi import fire1600six4xi
import fire1700six4xi
from fire1700six4xi import fire1700six4xi
import fire1800six4xi
from fire1800six4xi import fire1800six4xi
import fire1900six4xi
from fire1900six4xi import fire1900six4xi
import fire2000six4xi
from fire2000six4xi import fire2000six4xi
import fire2100six4xi
from fire2100six4xi import fire2100six4xi
import fire2200six4xi
from fire2200six4xi import fire2200six4xi
import fire2300six4xi
from fire2300six4xi import fire2300six4xi
import fire2400six4xi
from fire2400six4xi import fire2400six4xi
import fire2500six4xi
from fire2500six4xi import fire2500six4xi
import fire2600six4xi
from fire2600six4xi import fire2600six4xi
import fire2700six4xi
from fire2700six4xi import fire2700six4xi
import fire2800six4xi
from fire2800six4xi import fire2800six4xi
import fire2900six4xi
from fire2900six4xi import fire2900six4xi
import fire3000six4xi
from fire3000six4xi import fire3000six4xi
import fire3100six4xi
from fire3100six4xi import fire3100six4xi
import fire3200six4xi
from fire3200six4xi import fire3200six4xi
import fire3300six4xi
from fire3300six4xi import fire3300six4xi

import fire2seven4xi
from fire2seven4xi import fire2seven4xi
import fire10seven4xi
from fire10seven4xi import fire10seven4xi
import fire100seven4xi
from fire100seven4xi import fire100seven4xi
import fire200seven4xi
from fire200seven4xi import fire200seven4xi
import fire300seven4xi
from fire300seven4xi import fire300seven4xi
import fire400seven4xi
from fire400seven4xi import fire400seven4xi
import fire500seven4xi
from fire500seven4xi import fire500seven4xi
import fire600seven4xi
from fire600seven4xi import fire600seven4xi
import fire700seven4xi
from fire700seven4xi import fire700seven4xi
import fire800seven4xi
from fire800seven4xi import fire800seven4xi
import fire900seven4xi
from fire900seven4xi import fire900seven4xi
import fire1000seven4xi
from fire1000seven4xi import fire1000seven4xi
import fire1100seven4xi
from fire1100seven4xi import fire1100seven4xi
import fire1200seven4xi
from fire1200seven4xi import fire1200seven4xi
import fire1300seven4xi
from fire1300seven4xi import fire1300seven4xi
import fire1400seven4xi
from fire1400seven4xi import fire1400seven4xi
import fire1500seven4xi
from fire1500seven4xi import fire1500seven4xi
import fire1600seven4xi
from fire1600seven4xi import fire1600seven4xi
import fire1700seven4xi
from fire1700seven4xi import fire1700seven4xi
import fire1800seven4xi
from fire1800seven4xi import fire1800seven4xi
import fire1900seven4xi
from fire1900seven4xi import fire1900seven4xi
import fire2000seven4xi
from fire2000seven4xi import fire2000seven4xi
import fire2100seven4xi
from fire2100seven4xi import fire2100seven4xi
import fire2200seven4xi
from fire2200seven4xi import fire2200seven4xi
import fire2300seven4xi
from fire2300seven4xi import fire2300seven4xi
import fire2400seven4xi
from fire2400seven4xi import fire2400seven4xi
import fire2500seven4xi
from fire2500seven4xi import fire2500seven4xi
import fire2600seven4xi
from fire2600seven4xi import fire2600seven4xi
import fire2700seven4xi
from fire2700seven4xi import fire2700seven4xi
import fire2800seven4xi
from fire2800seven4xi import fire2800seven4xi
import fire2900seven4xi
from fire2900seven4xi import fire2900seven4xi
import fire3000seven4xi
from fire3000seven4xi import fire3000seven4xi
import fire3100seven4xi
from fire3100seven4xi import fire3100seven4xi
import fire3200seven4xi
from fire3200seven4xi import fire3200seven4xi
import fire3300seven4xi
from fire3300seven4xi import fire3300seven4xi

import fire2eight4xi
from fire2eight4xi import fire2eight4xi
import fire10eight4xi
from fire10eight4xi import fire10eight4xi
import fire100eight4xi
from fire100eight4xi import fire100eight4xi
import fire200eight4xi
from fire200eight4xi import fire200eight4xi
import fire300eight4xi
from fire300eight4xi import fire300eight4xi
import fire400eight4xi
from fire400eight4xi import fire400eight4xi
import fire500eight4xi
from fire500eight4xi import fire500eight4xi
import fire600eight4xi
from fire600eight4xi import fire600eight4xi
import fire700eight4xi
from fire700eight4xi import fire700eight4xi
import fire800eight4xi
from fire800eight4xi import fire800eight4xi
import fire900eight4xi
from fire900eight4xi import fire900eight4xi
import fire1000eight4xi
from fire1000eight4xi import fire1000eight4xi
import fire1100eight4xi
from fire1100eight4xi import fire1100eight4xi
import fire1200eight4xi
from fire1200eight4xi import fire1200eight4xi
import fire1300eight4xi
from fire1300eight4xi import fire1300eight4xi
import fire1400eight4xi
from fire1400eight4xi import fire1400eight4xi
import fire1500eight4xi
from fire1500eight4xi import fire1500eight4xi
import fire1600eight4xi
from fire1600eight4xi import fire1600eight4xi
import fire1700eight4xi
from fire1700eight4xi import fire1700eight4xi
import fire1800eight4xi
from fire1800eight4xi import fire1800eight4xi
import fire1900eight4xi
from fire1900eight4xi import fire1900eight4xi
import fire2000eight4xi
from fire2000eight4xi import fire2000eight4xi
import fire2100eight4xi
from fire2100eight4xi import fire2100eight4xi
import fire2200eight4xi
from fire2200eight4xi import fire2200eight4xi
import fire2300eight4xi
from fire2300eight4xi import fire2300eight4xi
import fire2400eight4xi
from fire2400eight4xi import fire2400eight4xi
import fire2500eight4xi
from fire2500eight4xi import fire2500eight4xi
import fire2600eight4xi
from fire2600eight4xi import fire2600eight4xi
import fire2700eight4xi
from fire2700eight4xi import fire2700eight4xi
import fire2800eight4xi
from fire2800eight4xi import fire2800eight4xi
import fire2900eight4xi
from fire2900eight4xi import fire2900eight4xi
import fire3000eight4xi
from fire3000eight4xi import fire3000eight4xi
import fire3100eight4xi
from fire3100eight4xi import fire3100eight4xi
import fire3200eight4xi
from fire3200eight4xi import fire3200eight4xi
import fire3300eight4xi
from fire3300eight4xi import fire3300eight4xi

import finalize4xi
from finalize4xi import Finalize4Xi
import finalizer4xi
from finalizer4xi import Finalizer4Xi
from finalizer4xi import init_all_finalizer4xi            
from finalizer4xi import get_finalizer_counter4xi                        
from finalizer4xi import next_finalizer_counter4xi
from finalizer4xi import init_finalizer_counter4xi
from finalizer4xi import del_finalizer_registry_element4xi
from finalizer4xi import set_finalizer_registry_element4xi                        
from finalizer4xi import get_finalizer_registry_element4xi
from finalizer4xi import get_finalizer_registry4xi
from finalizer4xi import clear_finalizer_registry4xi                        
from finalizer4xi import init_finalizer_registry4xi



import forkawarelocal4xi
from forkawarelocal4xi import ForkAwareLocal4Xi

import forkawarethreadlock4xi
from forkawarethreadlock4xi import ForkAwareThreadLock4Xi

import forkingpickler4xi
from forkingpickler4xi import ForkingPickler4Xi

from format4xi import Format4Xi
from format4xi import format4xi

import freeze_support4xi
from freeze_support4xi import freeze_support4xi

import fromfd4xi
from fromfd4xi import fromfd4xi

# --------
#    [G]
# --------
import get_command_line4xi
from get_command_line4xi import get_command_line4xi

import get_logger4xi
from get_logger4xi import get_logger4xi

import get_temp_dir4xi
from get_temp_dir4xi import get_temp_dir4xi

import get_preparation_data4xi
from get_preparation_data4xi import get_preparation_data4xi
from get_temp_dir4xi import get_temp_dir4xi

from gun2zero4xi import gun2zero4xi
from gun2one4xi import gun2one4xi
from gun2two4xi import gun2two4xi
from gun2three4xi import gun2three4xi
from gun2four4xi import gun2four4xi
from gun2five4xi import gun2five4xi
from gun2six4xi import gun2six4xi
from gun2seven4xi import gun2seven4xi
from gun2eight4xi import gun2eight4xi

# --------
#    [H]
# --------
import heap4xi
from heap4xi import Heap4Xi


# --------
#    [I]
# --------
import info4xi
from info4xi import info4xi

import imapiterator4xi
from imapiterator4xi import IMapIterator4Xi

import imapunorderediterator4xi
from imapunorderediterator4xi import IMapUnorderedIterator4Xi

import is_exiting4xi
from is_exiting4xi import is_exiting4xi
from is_exiting4xi import init_exiting4xi
from is_exiting4xi import set_exiting4xi
from is_exiting4xi import get_exiting4xi

import is_forking4xi
from is_forking4xi import is_forking4xi

import iteratorproxy4xi
from iteratorproxy4xi import IteratorProxy4Xi

# --------
#    [J]
# --------
import joinablequeue4xi
from joinablequeue4xi import JoinableQueue4Xi


# --------
#    [K]
# --------
import kskeleton4xi
from kskeleton4xi import KSkeleton4Xi
from kskeleton4xi import init_kskeleton4xi
from kskeleton4xi import get_kskeleton4xi
from kskeleton4xi import set_kskeleton4xi

# --------
#    [L] 
# --------
import listener4xi
from listener4xi import Listener4Xi

import listener_client4xi
from listener_client4xi import listener_client4xi

import listproxy4xi
from listproxy4xi import ListProxy4Xi

import load2one4xi
from load2one4xi import load2one4xi
import load2two4xi
from load2two4xi import load2two4xi
import load2three4xi
from load2three4xi import load2three4xi
import load2four4xi
from load2four4xi import load2four4xi
import load2five4xi
from load2five4xi import load2five4xi
import load2six4xi
from load2six4xi import load2six4xi
import load2seven4xi
from load2seven4xi import load2seven4xi
import load2eight4xi
from load2eight4xi import load2eight4xi

import lock4xi
from lock4xi import Lock4Xi

import log_to_stderr4xi
from log_to_stderr4xi import log_to_stderr4xi

import logger4xi
from logger4xi import set_logger4xi 
from logger4xi import get_logger4xi
from logger4xi import set_log_to_stderr4xi
from logger4xi import get_log_to_stderr4xi
from logger4xi import Logger4Xi

import loop4xi 
from loop4xi import limit2loop4xi

# --------
#    [M]
# --------
import make_property4xi
from make_property4xi import make_property4xi

import makeproxytype4xi
from makeproxytype4xi import MakeProxyType4Xi

import manager4xi
from manager4xi import Manager4Xi

import mapresult4xi
from mapresult4xi import MapResult4Xi

import mapstar4xi
from mapstar4xi import mapstar4xi

import maybeencodingerror4xi
from maybeencodingerror4xi import MaybeEncodingError4Xi

# --------
#    [N]
# --------
import namespace4xi
from namespace4xi import Namespace4Xi

import namespaceproxy4xi
from namespaceproxy4xi import NamespaceProxy4Xi

import noun4xi
from noun4xi import cast2noun4xi
from noun4xi import color_nouns4xi
from noun4xi import coordinate_nouns4xi
from noun4xi import sense_noun4xi
from noun4xi import reason_noun4xi
from noun4xi import ace_noun4xi
from noun4xi import xml_noun4xi
from noun4xi import Noun4Xi 

import noun2cluster4xi
from noun2cluster4xi import Noun2Cluster4Xi  

import _new_value4xi
from _new_value4xi import _new_value4xi

# --------
#    [O]
# --------
import object2a4xi
from object2a4xi import Object2a4Xi
import object2b4xi
from object2b4xi import Object2b4Xi
import object2c4xi
from object2c4xi import Object2c4Xi
import object2d4xi
from object2d4xi import Object2d4Xi
import object2e4xi
from object2e4xi import Object2e4Xi
import object2f4xi
from object2f4xi import Object2f4Xi
import object2g4xi
from object2g4xi import Object2g4Xi
import object2h4xi
from object2h4xi import Object2h4Xi
import object2i4xi
from object2i4xi import Object2i4Xi
import object2j4xi
from object2j4xi import Object2j4Xi
import object2k4xi
from object2k4xi import Object2k4Xi
import object2l4xi
from object2l4xi import Object2l4Xi
import object2m4xi
from object2m4xi import Object2m4Xi
import object2n4xi
from object2n4xi import Object2n4Xi
import object2o4xi
from object2o4xi import Object2o4Xi
import object2p4xi
from object2p4xi import Object2p4Xi
import object2q4xi
from object2q4xi import Object2q4Xi
import object2r4xi
from object2r4xi import Object2r4Xi
import object2s4xi
from object2s4xi import Object2s4Xi
import object2t4xi
from object2t4xi import Object2t4Xi
import object2u4xi
from object2u4xi import Object2u4Xi
import object2v4xi
from object2v4xi import Object2v4Xi
import object2w4xi
from object2w4xi import Object2w4Xi
import object2x4xi
from object2x4xi import Object2x4Xi
import object2v4xi
from object2v4xi import Object2v4Xi
import object2y4xi
from object2y4xi import Object2y4Xi
import object2z4xi
from object2z4xi import Object2z4Xi
import object2_4xi
from object2_4xi import Object2_4Xi

import original_dir4xi
from original_dir4xi import original_dir4xi
from original_dir4xi import init_original_dir4xi
from original_dir4xi import get_original_dir4xi
from original_dir4xi import set_original_dir4xi
from original_dir4xi import OriginalDir4Xi 


# --------
#    [P]
# --------
import pickle4xi
from pickle2a4xi import Pickle2a4Xi
from pickle2b4xi import Pickle2b4Xi
from pickle2c4xi import Pickle2c4Xi
from pickle2d4xi import Pickle2d4Xi
from pickle2e4xi import Pickle2e4Xi
from pickle2f4xi import Pickle2f4Xi
from pickle2g4xi import Pickle2g4Xi
from pickle2h4xi import Pickle2h4Xi
from pickle2i4xi import Pickle2i4Xi
from pickle2j4xi import Pickle2j4Xi
from pickle2k4xi import Pickle2k4Xi
from pickle2l4xi import Pickle2l4Xi
from pickle2m4xi import Pickle2m4Xi
from pickle2n4xi import Pickle2n4Xi
from pickle2o4xi import Pickle2o4Xi
from pickle2p4xi import Pickle2p4Xi
from pickle2q4xi import Pickle2q4Xi
from pickle2r4xi import Pickle2r4Xi
from pickle2s4xi import Pickle2s4Xi
from pickle2t4xi import Pickle2t4Xi
from pickle2u4xi import Pickle2u4Xi
from pickle2v4xi import Pickle2v4Xi
from pickle2w4xi import Pickle2w4Xi
from pickle2x4xi import Pickle2x4Xi
from pickle2y4xi import Pickle2y4Xi
from pickle2z4xi import Pickle2z4Xi
from pickle2_4xi import Pickle2_4Xi

import pipe4xi
from pipe4xi import Pipe4Xi

import pipeclient4xi
from pipeclient4xi import PipeClient4Xi

import pipeconnection4xi
from pipeconnection4xi import PipeConnection4Xi

import pipelistener4xi
from pipelistener4xi import PipeListener4Xi

import pool4xi
from pool4xi import Pool4Xi

import poolproxy4xi
from poolproxy4xi import PoolProxy4Xi

import popen4xi
from popen4xi import Popen4Xi
from popen4xi import main

import print4xi
from print4xi import Print4Xi
from print4xi import print4xi
from print4xi import ace_print4xi
from print4xi import init_all_print_objects4xi
from print4xi import init_all_print_objects4xi
from print4xi import init_alphabeticalgroup_print4xi
from print4xi import init_a_print_objects4xi
from print4xi import init_b_print_objects4xi
from print4xi import init_c_print_objects4xi        
from print4xi import init_d_print_objects4xi        
from print4xi import init_e_print_objects4xi            
from print4xi import init_f_print_objects4xi            
from print4xi import init_g_print_objects4xi         
from print4xi import init_h_print_objects4xi         
from print4xi import init_i_print_objects4xi         
from print4xi import init_j_print_objects4xi         
from print4xi import init_k_print_objects4xi            
from print4xi import init_l_print_objects4xi         
from print4xi import init_m_print_objects4xi         
from print4xi import init_n_print_objects4xi         
from print4xi import init_o_print_objects4xi         
from print4xi import init_p_print_objects4xi            
from print4xi import init_q_print_objects4xi         
from print4xi import init_r_print_objects4xi         
from print4xi import init_s_print_objects4xi         
from print4xi import init_t_print_objects4xi         
from print4xi import init_u_print_objects4xi            
from print4xi import init_v_print_objects4xi         
from print4xi import init_w_print_objects4xi         
from print4xi import init_x_print_objects4xi         
from print4xi import init_y_print_objects4xi         
from print4xi import init_z_print_objects4xi            
from print4xi import init___print_objects4xi 
from print4xi import get_len_alphabeticalgroup_print4xi
from print4xi import get_print_permission4xi
from print4xi import print_init_all4xi
from print4xi import print_class_method4xi
from print4xi import reason_print4xi
from print4xi import sense_print4xi
from print4xi import set_print_permission4xi

import private_methods4xi
from private_methods4xi import private_methods4xi

import processerror4xi
from processerror4xi import ProcessError4Xi

import process4xi
from process4xi import Process4Xi

import prepare4xi
from prepare4xi import prepare4xi


import processlocalset4xi
from processlocalset4xi import ProcessLocalSet4Xi

import public_methods4xi
from public_methods4xi import public_methods4xi



# --------
#    [Q]
# --------
import queue4xi
from queue4xi import Queue4Xi

# --------
#    [R]
# --------
import rawarray4xi
from rawarray4xi import RawArray4Xi

import reason_object4xi
from reason_object4xi import reason_object4xi

import recv_handle4xi
from recv_handle4xi import recv_handle4xi

import rebuild_as_list4xi
from rebuild_as_list4xi import rebuild_as_list4xi

import rebuild_ctype4xi
from rebuild_ctype4xi import rebuild_ctype4xi

import rebuild_handle4xi
from rebuild_handle4xi import rebuild_handle4xi

import rebuildproxy4xi
from rebuildproxy4xi import RebuildProxy4Xi

import rebuild_socket4xi
from rebuild_socket4xi import rebuild_socket4xi

try:
    from resourcesharer4xi import ResourceSharer4Xi
except:
    print("[NACK] **failed resourcesharer4xi import ResourceSharer4Xi ** in module import4xi.py") 

import reduce_array4xi
from reduce_array4xi import reduce_array4xi

import reduce_connection4xi
from reduce_connection4xi import reduce_connection4xi

import reduce_ctype4xi
from reduce_ctype4xi import reduce_ctype4xi

import reduce_handle4xi
from reduce_handle4xi import reduce_handle4xi

import reduce_pipe_connection4xi
from reduce_pipe_connection4xi import reduce_pipe_connection4xi

import register_after_fork4xi
from register_after_fork4xi import register_after_fork4xi

import remoteerror4xi
from remoteerror4xi import RemoteError4Xi

import rlock4xi
from rlock4xi import RLock4Xi

# --------
#    [S]
# --------
import semaphore4xi
from semaphore4xi import Semaphore4Xi

import semlock4xi
from semlock4xi import SemLock4Xi

import send_handle4xi
from send_handle4xi import send_handle4xi

import sense_object4xi
from sense_object4xi import sense_object4xi

import server4xi
from server4xi import Server4Xi

import set_logger4xi
from set_logger4xi import set_logger4xi
from set_log_to_stderr4xi import set_log_to_stderr4xi

from shoot2zero4xi import shoot2zero4xi
from shoot2one4xi import shoot2one4xi
from shoot2two4xi import shoot2two4xi
from shoot2three4xi import shoot2three4xi
from shoot2four4xi import shoot2four4xi
from shoot2five4xi import shoot2five4xi
from shoot2six4xi import shoot2six4xi
from shoot2seven4xi import shoot2seven4xi
from shoot2eight4xi import shoot2eight4xi

import simplequeue4xi
from simplequeue4xi import SimpleQueue4Xi

import skeleton_print4xi
from skeleton_print4xi import SkeletonPrint4Xi
from skeleton_print4xi import skeleton_print4xi

import sleep4xi
from sleep4xi import omega2sleep4xi

import socketclient4xi
from socketclient4xi import SocketClient4Xi

import socketlistener4xi
from socketlistener4xi import SocketListener4Xi

import sphere4xi
from sphere4xi import Sphere4Xi
from sphere4xi import init_sphere2zero4xi 
from sphere4xi import init_sphere2one4xi 
from sphere4xi import init_sphere2two4xi 
from sphere4xi import init_sphere2three4xi 
from sphere4xi import init_sphere2four4xi 
from sphere4xi import init_sphere2five4xi 
from sphere4xi import init_sphere2six4xi 
from sphere4xi import init_sphere2seven4xi 
from sphere4xi import init_sphere2eight4xi 
from sphere4xi import set_sphere2zero4xi 
from sphere4xi import set_sphere2one4xi 
from sphere4xi import set_sphere2two4xi 
from sphere4xi import set_sphere2three4xi 
from sphere4xi import set_sphere2four4xi 
from sphere4xi import set_sphere2five4xi 
from sphere4xi import set_sphere2six4xi 
from sphere4xi import set_sphere2seven4xi 
from sphere4xi import set_sphere2eight4xi 
from sphere4xi import get_sphere2zero4xi 
from sphere4xi import get_sphere2one4xi 
from sphere4xi import get_sphere2two4xi 
from sphere4xi import get_sphere2three4xi 
from sphere4xi import get_sphere2four4xi 
from sphere4xi import get_sphere2five4xi 
from sphere4xi import get_sphere2six4xi 
from sphere4xi import get_sphere2seven4xi 
from sphere4xi import get_sphere2eight4xi 

import starmapstar4xi
from starmapstar4xi import starmapstar4xi

import state4xi
from state4xi import State4Xi

import sub_debug4xi
from sub_debug4xi import sub_debug4xi

import sub_warning4xi
from sub_warning4xi import sub_warning4xi

import syncmanager4xi
from syncmanager4xi import SyncManager4Xi

import synchronizedbase4xi
from synchronizedbase4xi import SynchronizedBase4Xi

import synchronized_function4xi
from synchronized_function4xi import synchronized_function4xi

import synchronizedstring4xi
from synchronizedstring4xi import SynchronizedString4Xi

import synchronizedarray4xi
from synchronizedarray4xi import SynchronizedArray4Xi

import synchronizedbase4xi
from synchronizedbase4xi import SynchronizedBase4Xi

import synchronized4xi
from synchronized4xi import Synchronized4Xi

# --------
#    [T]
# --------
import terminate4xi
from terminate4xi import terminate4xi

import threadpool4xi
from threadpool4xi import ThreadPool4Xi

import time4xi
from time4xi import time4xi

import timeout4xi
from timeout4xi import omega2timeout4xi

import timeouterror4xi
from timeouterror4xi import TimeoutError4Xi

import token4xi
from token4xi import Token4Xi


# --------
#    [U]
# --------
import uskeleton4xi
from uskeleton4xi import USkeleton4Xi
from uskeleton4xi import init_uskeleton4xi
from uskeleton4xi import set_uskeleton4xi
from uskeleton4xi import get_uskeleton4xi

# --------
#    [V]
# --------
import value4xi
from value4xi import Value4Xi

import valuefunction4xi
from valuefunction4xi import ValueFunction4Xi

import valueproxy4xi
from valueproxy4xi import ValueProxy4Xi

import verb4xi

from verb4xi import Verb4Xi
from verb4xi import ace_verb4xi
from verb4xi import analyze_verb4xi
from verb4xi import cast2tense4xi
from verb4xi import color_tenses4xi
from verb4xi import coordinate_tenses4xi
from verb4xi import reason_verb4xi
from verb4xi import sense_verb4xi
from verb4xi import wave_verb4xi

from verb2a4xi import Verb2a4Xi
from verb2b4xi import Verb2b4Xi
from verb2c4xi import Verb2c4Xi
from verb2d4xi import Verb2d4Xi
from verb2e4xi import Verb2e4Xi
from verb2f4xi import Verb2f4Xi
from verb2g4xi import Verb2g4Xi
from verb2h4xi import Verb2h4Xi
from verb2i4xi import Verb2i4Xi
from verb2j4xi import Verb2j4Xi
from verb2k4xi import Verb2k4Xi
from verb2l4xi import Verb2l4Xi
from verb2m4xi import Verb2m4Xi
from verb2n4xi import Verb2n4Xi
from verb2o4xi import Verb2o4Xi
from verb2p4xi import Verb2p4Xi
from verb2q4xi import Verb2q4Xi
from verb2r4xi import Verb2r4Xi
from verb2s4xi import Verb2s4Xi
from verb2t4xi import Verb2t4Xi
from verb2u4xi import Verb2u4Xi
from verb2v4xi import Verb2v4Xi
from verb2w4xi import Verb2w4Xi
from verb2x4xi import Verb2x4Xi
from verb2y4xi import Verb2y4Xi
from verb2z4xi import Verb2z4Xi
from verb2_4xi import Verb2_4Xi

# --------
#    [W]
# --------
import wait4xi
from wait4xi import wait4xi
import worker4xi
from worker4xi import worker4xi

# --------
#    [X]
# --------
import xmlclient4xi
from xmlclient4xi import XmlClient4Xi

import xmllistener4xi
from xmllistener4xi import XmlListener4Xi

import  xml_trace_sense4xi
from xml_trace_sense4xi import xml_trace_sense4xi
import xml_trace_reason4xi 
from xml_trace_reason4xi import xml_trace_reason4xi
import xml_trace_ace4xi 
from xml_trace_ace4xi import xml_trace_ace4xi

# --------
#    [Y]
# --------
import yskeleton4xi
from yskeleton4xi import YSkeleton4Xi
from yskeleton4xi import init_yskeleton4xi
from yskeleton4xi import get_yskeleton4xi
from yskeleton4xi import set_yskeleton4xi

# --------
#    [Z]
# --------
import zskeleton4xi
from zskeleton4xi import ZSkeleton4Xi
from zskeleton4xi import init_zskeleton4xi
from zskeleton4xi import get_zskeleton4xi
from zskeleton4xi import set_zskeleton4xi

# --------
#    [_]
# --------
import __init__

import _bootstrap4xi
from _bootstrap4xi import _bootstrap4xi

import _cache4xi
from _cache4xi import init_cache4xi
from _cache4xi import get_cache4xi
from _cache4xi import reset_cache4xi
from _cache4xi import clear_cache4xi
from _cache4xi import close_cache4xi
from _cache4xi import sense_cache4xi
from _cache4xi import reason_cache4xi
from _cache4xi import ace_cache4xi
from _cache4xi import add_cache4xi
from _cache4xi import remove_cache4xi

import _check_logger_class4xi
from _check_logger_class4xi import _check_logger_class4xi

import _cleanup4xi
from _cleanup4xi import _cleanup4xi

import _exhaustive_wait4xi
from _exhaustive_wait4xi import _exhaustive_wait4xi

import _exit_function4xi
from _exit_function4xi import _exit_function4xi

import _c4xi
from _c4xi import _C4Xi

import _finalizer4xi
from _finalizer4xi import _finalizer4xi

import _get_listener4xi
from _get_listener4xi import _get_listener4xi

import _listener4xi
from _listener4xi import init_listener4xi
from _listener4xi import set_listener4xi
from _listener4xi import get_listener4xi
from _listener4xi import reset_listener4xi
from _listener4xi import sense_listener4xi
from _listener4xi import reason_listener4xi
from _listener4xi import ace_listener4xi

import _lock4xi
from _lock4xi import init_lock4xi
from _lock4xi import get_lock4xi
from _lock4xi import acquire_lock4xi
from _lock4xi import release_lock4xi
from _lock4xi import reset_lock4xi
from _lock4xi import sense_lock4xi
from _lock4xi import reason_lock4xi
from _lock4xi import ace_lock4xi
from _lock4xi import acquire_lock4xi

import _mainprocess4xi
from _mainprocess4xi import _MainProcess4Xi

import _new_value4xi
from _new_value4xi import _new_value4xi

import _reduce_method_descriptor4xi
from _reduce_method_descriptor4xi import _reduce_method_descriptor4xi

import _run_after_forkers4xi
from _run_after_forkers4xi import _run_after_forkers4xi 

import _run_finalizers4xi
from _run_finalizers4xi import _run_finalizers4xi

import _rebuild_partial4xi
from _rebuild_partial4xi import _rebuild_partial4xi

import _reduce_method4xi
from _reduce_method4xi import _reduce_method4xi

import _reduce_partial4xi
from _reduce_partial4xi import _reduce_partial4xi

import _reset4xi
from _reset4xi import _reset4xi

import _run_finalizers4xi
from _run_finalizers4xi import _run_finalizers4xi

import _run_after_forkers4xi
from _run_after_forkers4xi import _run_after_forkers4xi

import _serve4xi
from _serve4xi import _serve4xi

import _validate_family4xi
from _validate_family4xi import _validate_family4xi

import _xml_dumps4xi
from _xml_dumps4xi import _xml_dumps4xi

import _xml_loads4xi
from _xml_loads4xi import _xml_loads4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "

# -------------------------------------------------------------------------------------------------
# util.py                              
# -------------------------------------------------------------------------------------------------
import itertools
import weakref
import atexit
import threading
import logging

# -------------------------------------------------------------------------------------------------
# synchronize.py                        
# ------------------------------------------------------------------------------------------------    
import threading
import os
import sys
from time import time as _time, sleep as _sleep

# -------------------------------------------------------------------------------------------------
# sharedctypes.py                             
# -------------------------------------------------------------------------------------------------
import sys
import ctypes
import weakref

# -------------------------------------------------------------------------------------------------
# reduction.py                             
# -------------------------------------------------------------------------------------------------
import os
import sys
import socket
import threading
import traceback

# -------------------------------------------------------------------------------------------------
# queues.py                             
# -------------------------------------------------------------------------------------------------
import sys
import os
import threading
import collections
import time
import atexit
import weakref
from queue import Empty, Full

# -------------------------------------------------------------------------------------------------
# process.py                            
# -------------------------------------------------------------------------------------------------
import os
import sys
import signal
import itertools

# -------------------------------------------------------------------------------------------------
# pool.py                           
# -------------------------------------------------------------------------------------------------
import threading
import queue                    
import itertools
import collections
import time

# -------------------------------------------------------------------------------------------------
# managers.py                           
# -------------------------------------------------------------------------------------------------
import os
import sys
import weakref
import threading
import array
import queue
from traceback import format_exc
import copyreg

# -------------------------------------------------------------------------------------------------
# heap.py                             
# -------------------------------------------------------------------------------------------------
import bisect
import mmap
import tempfile
import os
import sys
import threading
import itertools

# -------------------------------------------------------------------------------------------------
# forking.py 
# -------------------------------------------------------------------------------------------------
import os
import sys
import signal
from pickle import _Pickler as Pickler

# -------------------------------------------------------------------------------------------------
# connection.py
# -------------------------------------------------------------------------------------------------
import os
import sys
import socket
import errno
import time
import tempfile
import itertools

# -------------------------------------------------------------------------------------------------
# __init__                              
# -------------------------------------------------------------------------------------------------
import sys
#"
#/>


            
#</program4xi>
 
# -------------------------------------------------------------------------------------------------
# Recorded History                        
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#
# February 2010
#~ reviewed 
#
# January 8, 2010
#~ xml tagged
#
# January 16, 2009
#~ import module.py for each module; this will in fact compile a module
#~ importing each module is essential in this module whereas programs should import only what they need
#
# December 9, 2008
#~ import _multiprocessin added to be sure; compiler does NOT notice if it is missing
#~ standard imports checked using the original module's imports defined in this module
#
# December 2008
#~ all modules also imported to see that the modules are pickable
#
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of import4xi                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

